DigiLocker Fetch Supported Documents and Issuers API
The following document highlights the details of the DigiLocker Fetch Supported Documents and Issuers API.
API Description
Objective
The DigiLocker Fetch Supported Documents and Issuers API retrieves a comprehensive list of all document types that can be stored and accessed in a DigiLocker account, along with their corresponding document type codes and issuing organization codes.
The complete catalog of supported documents available in DigiLocker are retrieved through the DigiLocker Fetch Supported Documents and Issuers API, some examples include:
- Educational certificates: "DIPCR" (Diploma Certificate), "DGCER" (Degree Certificate), "DGMST" (Degree/Diploma Marksheet)
- Insurance documents: "PODOC" (Policy Document)
- Skill certificates: "SKCER" (Skill Certificate)
- Driving licenses: "DRVLC" (e.g., Karnataka Department of Transport with organisation ID "001886")
- And many more document categories
Each document type is mapped to its unique document type code and the organization IDs of all issuing authorities that provide that particular document.
For the complete list of all document types that can be fetched from DigiLocker, refer to the tabular representation.
| Input | Output |
|---|---|
Not applicable - The API does not require any specific request parameters but a simple GET request with the mandatory headers. | The complete list of document types and the organisational ID of their corresponding issuers supported by DigiLocker. |
API URL
https://ind-verify.hyperverge.co/api/digilocker/fetchDocTypeMap
API Endpoint
fetchDocTypeMap
Overview
The DigiLocker Fetch Supported Documents and Issuers API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format.
Method - GET
Authentication
You need a unique pair of application ID ( appId ) and application key ( appKey ) from HyperVerge to verify your identity for accessing the API.
Headers
| Header | Mandatory / Optional | Description | Input Format |
|---|---|---|---|
| content-type | Mandatory | This parameter defines the media type for the request payload | application/json |
| appId | Mandatory | The application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab | This should be a unique value |
| appKey | Mandatory | The application key shared by HyperVerge. You can find the details in the dashboard's credentials tab | This should be a unique value |
| transactionId | Optional | A unique identifier for tracking a user journey | This should be both unique and easily associated with the user's journey in your application(s) |
Request
The following code snippet demonstrates a standard curl request for the DigiLocker Fetch Supported Documents and Issuers API :
curl --location --request GET 'https://ind-verify.hyperverge.co/api/digilocker/fetchDocTypeMap' \
--header 'Content-Type: application/json' \
--header 'appID: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionID: <Enter_the_HyperVerge_transactionID>'
Success Responses
The following code snippets demonstrate success responses from the DigiLocker Fetch Supported Documents and Issuers API :
- Success Response
{
"status": "success",
"statusCode": "200",
"result": {
"docTypeMap": {
"Driving License": {
"docType": "DRVLC",
"orgIds": [
"002192",
"002188",
"002219",
"002208",
"002190",
"002187",
"000094",
"002191",
"002205", ...
]
}, ...
},
"orgIdMap": {
"002192": {
"name": "Transport Department, Dadra & Nagar Haveli",
"issuerId": "in.gov.transport",
"description": "Driving License (DL) and Vehicle Registration Certificate (RC) of the State, as available on Parivahan Sewa (http://parivahan.co.in/) of Ministry of Road Transport and Highways, are available on DigiLocker. Citizens can pull these documents into their DigiLocker accounts."
},
"002188": {
"name": "Transport Department, Bihar",
"issuerId": "in.gov.transport",
"description": "Driving License (DL) and Vehicle Registration Certificate (RC) of the State, as available on Parivahan Sewa (http://parivahan.co.in/) of Ministry of Road Transport and Highways, are available on DigiLocker. Citizens can pull these documents into their DigiLocker accounts."
},
"002191": {
"name": "Transport Department, Delhi",
"issuerId": "in.gov.transport",
"description": "Driving License (DL) and Vehicle Registration Certificate (RC) of the State, as available on Parivahan Sewa (http://parivahan.co.in/) of Ministry of Road Transport and Highways, are available on DigiLocker. Citizens can pull these documents into their DigiLocker accounts."
}, ...
}
}
}
Success Response Details
The following table outlines the details of the success response from the DigiLocker Fetch Supported Documents and Issuers API :
| Parameter | Type | Description |
|---|---|---|
status | string | The status of the request |
statusCode | string | The HTTP status code for the response |
result | object | The JSON object containing the document type map and organization ID map |
result.docTypeMap | object | An object mapping document names to their document types and organization IDs |
result.docTypeMap[].docType | string | The document type code determined by the issuing department or agency |
result.docTypeMap[].orgIds | array | An array of organization IDs that issue the document |
result.orgIdMap | object | An object mapping organization IDs to their details |
result.orgIdMap[].name | string | The name of the issuing organization |
result.orgIdMap[].issuerId | string | The issuer ID of the organization |
result.orgIdMap[].description | string | The description of the organization and its documents |
orgId | string | A unique issuer entity ID across the country |
docType | string | It is unique value that is determined by the issuing department or agency and is assigned to every document |